aboutsummaryrefslogtreecommitdiffstats
path: root/Scripts/localize.sh
diff options
context:
space:
mode:
authorstuconnolly <stuart02@gmail.com>2010-10-25 10:36:17 +0000
committerstuconnolly <stuart02@gmail.com>2010-10-25 10:36:17 +0000
commitb3cef17561a6a271ecdf6bbd0a359f1dadfbaf0a (patch)
tree8abd5c59a6ec7c02a14164b9e890f03ef8d3a907 /Scripts/localize.sh
parent4225c12ba967f91efb136adc63a4400422b01708 (diff)
downloadsequelpro-b3cef17561a6a271ecdf6bbd0a359f1dadfbaf0a.tar.gz
sequelpro-b3cef17561a6a271ecdf6bbd0a359f1dadfbaf0a.tar.bz2
sequelpro-b3cef17561a6a271ecdf6bbd0a359f1dadfbaf0a.zip
Update the appropriate build scripts to ensure they are being run by Xcode.
Diffstat (limited to 'Scripts/localize.sh')
-rwxr-xr-xScripts/localize.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/Scripts/localize.sh b/Scripts/localize.sh
index 911cf8ea..e3de6957 100755
--- a/Scripts/localize.sh
+++ b/Scripts/localize.sh
@@ -9,6 +9,12 @@
##
## Description: Localizes all of the application's NIB files. This script should only be run by Xcode.
+if [ "${BUILT_PRODUCTS_DIR}x" == 'x' ]
+then
+ echo 'This script should only be run by Xcode. Exiting...'
+ exit 1
+fi
+
echo "Running genstrings to update 'Localizable.strings'..."
# Update 'Localizable.strings' by running genstrings(1)